/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/metaplex-foundation/kinobi
 */
import { Amount, Context, Option, Pda, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { ConfigLineSettings, ConfigLineSettingsArgs, Creator, CreatorArgs, HiddenSettings, HiddenSettingsArgs } from '../types';
export type InitializeCandyMachineInstructionAccounts = {
    candyMachine: PublicKey | Pda;
    authorityPda?: PublicKey | Pda;
    authority?: PublicKey | Pda;
    payer?: Signer;
    collectionMetadata?: PublicKey | Pda;
    collectionMint: PublicKey | Pda;
    collectionMasterEdition?: PublicKey | Pda;
    collectionUpdateAuthority: Signer;
    collectionAuthorityRecord?: PublicKey | Pda;
    tokenMetadataProgram?: PublicKey | Pda;
    systemProgram?: PublicKey | Pda;
};
export type InitializeCandyMachineInstructionData = {
    discriminator: Array<number>;
    /** Number of assets available */
    itemsAvailable: bigint;
    /** Symbol for the asset */
    symbol: string;
    /** Secondary sales royalty basis points (0-10000) */
    sellerFeeBasisPoints: Amount<'%', 2>;
    /** Max supply of each individual asset (default 0) */
    maxEditionSupply: bigint;
    /** Indicates if the asset is mutable or not (default yes) */
    isMutable: boolean;
    /** List of creators */
    creators: Array<Creator>;
    /** Config line settings */
    configLineSettings: Option<ConfigLineSettings>;
    /** Hidden setttings */
    hiddenSettings: Option<HiddenSettings>;
};
export type InitializeCandyMachineInstructionDataArgs = {
    /** Number of assets available */
    itemsAvailable: number | bigint;
    /** Symbol for the asset */
    symbol?: string;
    /** Secondary sales royalty basis points (0-10000) */
    sellerFeeBasisPoints: Amount<'%', 2>;
    /** Max supply of each individual asset (default 0) */
    maxEditionSupply?: number | bigint;
    /** Indicates if the asset is mutable or not (default yes) */
    isMutable?: boolean;
    /** List of creators */
    creators: Array<CreatorArgs>;
    /** Config line settings */
    configLineSettings?: Option<ConfigLineSettingsArgs>;
    /** Hidden setttings */
    hiddenSettings?: Option<HiddenSettingsArgs>;
};
export declare function getInitializeCandyMachineInstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeCandyMachineInstructionDataArgs, InitializeCandyMachineInstructionData>;
export type InitializeCandyMachineInstructionArgs = InitializeCandyMachineInstructionDataArgs;
export declare function initializeCandyMachine(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: InitializeCandyMachineInstructionAccounts & InitializeCandyMachineInstructionArgs): TransactionBuilder;
