/**
 * This code was AUTOGENERATED using the kinobi library.
 * Please DO NOT EDIT THIS FILE, instead use visitors
 * to add features, then rerun kinobi to update it.
 *
 * @see https://github.com/metaplex-foundation/kinobi
 */
import { TokenStandard, TokenStandardArgs } from '@metaplex-foundation/mpl-token-metadata';
import { Amount, Context, Option, Pda, PublicKey, Serializer, Signer, TransactionBuilder } from '@metaplex-foundation/umi';
import { ConfigLineSettings, ConfigLineSettingsArgs, Creator, CreatorArgs, HiddenSettings, HiddenSettingsArgs } from '../types';
export type InitializeCandyMachineV2InstructionAccounts = {
    candyMachine: PublicKey | Pda;
    authorityPda?: PublicKey | Pda;
    authority?: PublicKey | Pda;
    payer?: Signer;
    ruleSet?: PublicKey | Pda;
    collectionMetadata?: PublicKey | Pda;
    collectionMint: PublicKey | Pda;
    collectionMasterEdition?: PublicKey | Pda;
    collectionUpdateAuthority: Signer;
    collectionDelegateRecord?: PublicKey | Pda;
    tokenMetadataProgram?: PublicKey | Pda;
    systemProgram?: PublicKey | Pda;
    sysvarInstructions?: PublicKey | Pda;
    authorizationRulesProgram?: PublicKey | Pda;
    authorizationRules?: PublicKey | Pda;
};
export type InitializeCandyMachineV2InstructionData = {
    discriminator: Array<number>;
    /** Number of assets available */
    itemsAvailable: bigint;
    /** Symbol for the asset */
    symbol: string;
    /** Secondary sales royalty basis points (0-10000) */
    sellerFeeBasisPoints: Amount<'%', 2>;
    /** Max supply of each individual asset (default 0) */
    maxEditionSupply: bigint;
    /** Indicates if the asset is mutable or not (default yes) */
    isMutable: boolean;
    /** List of creators */
    creators: Array<Creator>;
    /** Config line settings */
    configLineSettings: Option<ConfigLineSettings>;
    /** Hidden setttings */
    hiddenSettings: Option<HiddenSettings>;
    tokenStandard: TokenStandard;
};
export type InitializeCandyMachineV2InstructionDataArgs = {
    /** Number of assets available */
    itemsAvailable: number | bigint;
    /** Symbol for the asset */
    symbol?: string;
    /** Secondary sales royalty basis points (0-10000) */
    sellerFeeBasisPoints: Amount<'%', 2>;
    /** Max supply of each individual asset (default 0) */
    maxEditionSupply?: number | bigint;
    /** Indicates if the asset is mutable or not (default yes) */
    isMutable?: boolean;
    /** List of creators */
    creators: Array<CreatorArgs>;
    /** Config line settings */
    configLineSettings?: Option<ConfigLineSettingsArgs>;
    /** Hidden setttings */
    hiddenSettings?: Option<HiddenSettingsArgs>;
    tokenStandard: TokenStandardArgs;
};
export declare function getInitializeCandyMachineV2InstructionDataSerializer(context: Pick<Context, 'serializer'>): Serializer<InitializeCandyMachineV2InstructionDataArgs, InitializeCandyMachineV2InstructionData>;
export type InitializeCandyMachineV2InstructionArgs = InitializeCandyMachineV2InstructionDataArgs;
export declare function initializeCandyMachineV2(context: Pick<Context, 'serializer' | 'programs' | 'eddsa' | 'identity' | 'payer'>, input: InitializeCandyMachineV2InstructionAccounts & InitializeCandyMachineV2InstructionArgs): TransactionBuilder;
